DynamicJava Javadoc: Class Identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class Identifier

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Identifier

All Implemented Interfaces:
  IdentifierToken

public class Identifier
extends java.lang.Object
implements IdentifierToken

This class implements a tree token

Constructor Summary
`Identifier(java.lang.String im)` Creates a new token
`Identifier(java.lang.String im, int bl, int bc, int el, int ec)` Creates a new token

Method Summary
`int` | `beginColumn()` Returns the column number where the beginning of the token was found in the source file
`int` | `beginLine()` Returns the line number where the beginning of the token was found in the source file
`int` | `endColumn()` Returns the column number where the end of the token was found in the source file
`int` | `endLine()` Returns the line number where the end of the token was found in the source file
`java.lang.String` | `image()` Returns the representation of the identifier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Identifier

    public Identifier(java.lang.String im)

  Creates a new token
  Parameters:
    `im` - the image

### Identifier

    public Identifier(java.lang.String im,
                      int bl,
                      int bc,
                      int el,
                      int ec)

  Creates a new token
  Parameters:
    `im` - the image
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Method Detail

### image

    public java.lang.String image()

  Returns the representation of the identifier
  Specified by:
    `image` in interface `IdentifierToken`

### beginLine

    public int beginLine()

  Returns the line number where the beginning of the token was found in the source file
  Specified by:
    `beginLine` in interface `IdentifierToken`

### endLine

    public int endLine()

  Returns the line number where the end of the token was found in the source file
  Specified by:
    `endLine` in interface `IdentifierToken`

### beginColumn

    public int beginColumn()

  Returns the column number where the beginning of the token was found in the source file
  Specified by:
    `beginColumn` in interface `IdentifierToken`

### endColumn

    public int endColumn()

  Returns the column number where the end of the token was found in the source file
  Specified by:
    `endColumn` in interface `IdentifierToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.